Skip to content
For LLMsView as Markdown·

Get a job ​

http
GET https://api.onehazel.com/onehazel-api/jobs/{jobId}

Section: Jobs
Operation id: getJobsByJobId

Authentication ​

Operator API key (oh_live_...) or a signed-in session token, as a bearer token.

Parameters ​

NameInRequiredDescription
jobIdpathyes

Responses ​

200 { "success": true, "data": ... }

Errors return { "success": false, "error": { "code": "...", "message": "..." } } with a 4xx or 5xx status.

Example ​

bash
curl -X GET "https://api.onehazel.com/onehazel-api/jobs/{jobId}" \
  -H "Authorization: Bearer oh_live_YOUR_API_KEY"

Machine-readable: openapi.yaml, openapi.json.